summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKibum Kim <kb0929.kim@samsung.com>2012-01-07 00:49:50 +0900
committerKibum Kim <kb0929.kim@samsung.com>2012-01-07 00:49:50 +0900
commit9c3072c8127108bd753e22f2cbfa107e430a2a57 (patch)
tree344a39a9ad6c1c78bd7b2455546cd5cee85c0a80
parentea3bce7969e299386bd35f2bca00c33cf31e5d37 (diff)
downloadlocales-init-9c3072c8127108bd753e22f2cbfa107e430a2a57.tar.gz
locales-init-9c3072c8127108bd753e22f2cbfa107e430a2a57.tar.bz2
locales-init-9c3072c8127108bd753e22f2cbfa107e430a2a57.zip
Git init
-rw-r--r--debian/changelog7
-rw-r--r--debian/compat1
-rw-r--r--debian/config8
-rw-r--r--debian/control16
-rw-r--r--debian/copyright26
-rw-r--r--debian/postinst67
-rwxr-xr-xdebian/rules3
-rw-r--r--debian/templates4
8 files changed, 132 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..b2ae32d
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,7 @@
+locales-init (0.7) unstable; urgency=low
+
+ * Initial Release.
+ * Git: pkgs/l/locales-init
+ * Tag: locales-init_0.7
+
+ -- Rafal Krapa <r.krypa@samsung.com> Thu, 15 Dec 2011 14:06:53 +0100
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..7ed6ff8
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+5
diff --git a/debian/config b/debian/config
new file mode 100644
index 0000000..069054e
--- /dev/null
+++ b/debian/config
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+db_input low locales-init/locales-regex || true
+db_go || true
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..e29c648
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,16 @@
+Source: locales-init
+Section: misc
+Priority: extra
+Maintainer: Rafal Krypa <r.krypa@samsung.com>
+Build-Depends: cdbs, debhelper (>= 5)
+Standards-Version: 3.8.3
+
+Package: locales-init
+Architecture: all
+Depends: ${misc:Depends}, debconf, locales
+Provides: glibc-common
+Description: Locales selection for Tizen platforms
+ Enables and generates locales needed on Tizen platforms.
+ .
+ This package also provides scratchbox1-compatible 'glibc-common'
+ package containg exactly same set of generated locales.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..16fab4f
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,26 @@
+This work was packaged for Debian by:
+
+ Rafal Krypa <r.krypa@samsung.com> on Mon, 18 Jan 2010 15:33:39 +0900
+
+Copyright:
+
+ Copyright (C) 2010 Samsung Electronics
+
+License:
+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>
+
+On Debian systems, the complete text of the GNU General
+Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
+
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..aad1144
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,67 @@
+#!/bin/sh
+# postinst script for locales-init
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+. /usr/share/debconf/confmodule
+
+case "$1" in
+ *configure)
+ TMP="`tempfile`"
+
+ db_get locales-init/locales-regex
+ LOCALE_REGEXP="$RET"
+
+ egrep -v '^(#|$)' /etc/locale.gen |
+ egrep -v "^ *$LOCALE_REGEXP" |
+ while read line
+ do
+ echo Disabling locale `echo $line | cut -d' ' -f1` 1>&2
+ echo "-e 's|^$line\$|# $line|'"
+ done |
+ xargs sed /etc/locale.gen -r -e '' >"$TMP"
+ cat "$TMP" >/etc/locale.gen
+
+ egrep "^# *$LOCALE_REGEXP" /etc/locale.gen |
+ sed 's/^# *//' |
+ while read line
+ do
+ echo Enabling locale `echo $line | cut -d' ' -f1` 1>&2
+ echo "-e 's|^# *$line\$|$line|'"
+ done |
+ xargs sed /etc/locale.gen -r -e '' >"$TMP"
+ cat "$TMP" >/etc/locale.gen
+ rm "$TMP"
+
+ locale-gen
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..e6192f6
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
diff --git a/debian/templates b/debian/templates
new file mode 100644
index 0000000..3ff5b93
--- /dev/null
+++ b/debian/templates
@@ -0,0 +1,4 @@
+Template: locales-init/locales-regex
+Description: Regex of locales to generate
+Type: string
+Default: (de_DE|el_GR|en_US|es_ES|fr_FR|it_IT|ja_JP|ko_KR|nl_NL|pt_PT|ru_RU|tr_TR|zh_CN|zh_HK|zh_TW).*UTF-8